apiVersion: extensions/v1beta1
kind: Deployment
metadata:
  name: actuator-sample
spec:
  replicas: 2
  template:
    metadata:
      labels:
        app: check24-solution
    spec:
      containers:
        - name: actuator-sample
          image: registry.gitlab.com/raghu.palakodety/check24-solution
          imagePullPolicy: Always
          ports:
            - containerPort: 8080
      imagePullSecrets:
        - name: registry.gitlab.com